org.eclipse.net4j.util.concurrent

## Class Timeouter

- java.lang.Object
- - org.eclipse.net4j.util.concurrent.Timeouter

-     public abstract class Timeouter
      extends java.lang.Object

  Since:
    2.0
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Timeouter(java.util.Timer timer, long timeout)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()`
    `long` | `getTimeout()`
    `protected abstract void` | `handleTimeout(long untouched)`
    `protected boolean` | `isDisposed()`
    `void` | `setTimeout(long timeout)`
    `void` | `touch()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Timeouter

          public Timeouter(java.util.Timer timer,
                           long timeout)

  - ### Method Detail

    - #### getTimeout

          public long getTimeout()

    - #### setTimeout

          public void setTimeout(long timeout)

    - #### touch

          public void touch()

    - #### dispose

          public void dispose()

    - #### isDisposed

          protected boolean isDisposed()

    - #### handleTimeout

          protected abstract void handleTimeout(long untouched)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html